System for installing command-line Unix applications and tools on OS X. Free and open-source.

learn more… | top users | synonyms

2
votes
0answers
9 views

How to get a universal binary with both architectures from Homebrew on Mavericks

I need to install Cairo for the use of a 32-bit application on Mavericks. After first uninstalling libpng, I have succeeded in forcing a complete recompile of Cairo and all its dependents (libpng, ...
2
votes
0answers
24 views

Meld on OSX 10.10 - half screen

I installed Meld using homebrew on a stock OSX 10.10. It works, but it doesn't seem to understand the size of my screen (actually two screens, same behavior on both built in and secondary display). ...
2
votes
0answers
62 views

When does OS X move /usr/local during a system update (slow start with homebrew)?

I have had a recurrent problem with the login screen getting stuck at 50% for a long time. One possible cause is that after an update, OS X is attempting to move /usr/local out of the way and then put ...
2
votes
0answers
77 views

How to figure out what is causing the ownership of usr/local to change from my-username to root

I use homebrew as a package manager for certain web development app. To keep brew up-to-date I run "update brew" every couple of days and also run "brew doctor." Usually, this is fine and brew tells ...
2
votes
0answers
31 views

Is there a programmatic way to identify built-in applications?

I'm trying to keep an inventory of where each application in my Mac came from (context: I'm trying to be disciplined and install things only through the App Store, Homebrew or Caskroom). Apps that ...
2
votes
0answers
22 views

Emacs does not auto restart after reboot?

I install Emacs via Homebrew and create a symbolic link: /Applications/Emacs.app -> /usr/local/Cellar/emacs/24.3/Emacs.app What does not seem to work properly is that after restarting, other ...
2
votes
0answers
107 views

MacVim: difference in syntax highlighting in terminal and GUI

I installed MacVim with homebrew, and specified the option to override system vim. It can be confirmed by looking at the version of vim in terminal. However, I don't understand why the terminal ...
2
votes
0answers
337 views

Way to determine most popular Homebrew packages?

Is there a way to determine which Homebrew packages have been installed the most times, either in the recent past or all-time? It would make it easier to determine which formulae are the most useful, ...
2
votes
0answers
555 views

brew doctor warning about Python config scripts

Can someone please explain what I should do about the following warning from Homebrew: Warning: "config" scripts exist outside your system or Homebrew directories. `./configure` scripts often look ...
2
votes
0answers
223 views

Building mysql with readline instead of editline

I'd really like to be able to use readline instead of editline with the mysql client, but I can't find out how to do this. The bottled mysql that brew installs by default for mavericks is using ...
2
votes
0answers
176 views

Homebrew-compiled gpg-agent fails, gpg: cancelled by user

I'm trying to get gpg-agent working on OS X, compiled with homebrew. Here's my gpg-agent.conf: djc@djc-mbp ~ $ cat .gnupg/gpg-agent.conf pinentry-program /usr/local/bin/pinentry-curses no-grab ...
1
vote
0answers
85 views

Macports / fink / homebrew - which allows true non-root, home-directory-only installation?

I'm looking into doing some development on my Macbook Pro running Yosemite. I've used both Macports and homebrew before, but I really don't want to install anything on my machine outside of my home ...
1
vote
0answers
48 views

Wine install from source while keeping brew installed version

I have wine 1.6.2 installed currently through brew running Yosemite 10.10.2. I would like to simultaneously have an older version of wine on my machine to run a program that does not work with newer ...
1
vote
0answers
87 views

Cannot compile anything anymore after upgrading to Yosemite

I noticed after upgrading to Yosemite that none of my upgrades in homebrew would work anymore. I noticed that it was a problem in general with compiling any kind of C code. The error I get is: In ...
1
vote
0answers
95 views

Problem reinstalling PostgreSQL after installing Parallels

I’m trying to reinstall postgresql on my mac (yosemite) after installing parallels seemed to mess up permissions to directories that psql and homebrew need. I was able to force-uninstall psql, but ...
1
vote
0answers
138 views

How to uninstall Jenkins in Homebrew?

I have a problem with Homebrew especially with Jenkins formula. $ brew update;brew upgrade Already up-to-date. ==> Upgrading 1 outdated package, with result: jenkins 1.598 ==> Upgrading jenkins ...
1
vote
0answers
96 views

Spotlight not finding .app created with appify

I've used a script called appify described here https://mathiasbynens.be/notes/shell-script-mac-apps to create /Applications/Emacs.app that runs the actual Emacs.app at ...
1
vote
0answers
151 views

Error: Could not symlink bin/dvipdf when installing Octave

Note: A question similar to this one was asked here about a week ago. I am attempting to install Octave on OS X Mavericks. I ran the following: brew install octave which resulted in this error: ...
1
vote
0answers
109 views

“brew install python” without Xcode in Snow Leopard

I've been able to get brew to install many packages on Snow Leopard using just the gcc library without installing all of Xcode. I had installed Python as well as PosgreSQL from the gui installer and ...
1
vote
0answers
900 views

removing outdated casks from homebrew

I am using homebrew-cask to keep my ecosystem of applications up-to-date. However, when some package are getting updated (such as google chrome), I end up having different concurrent versions ...
1
vote
0answers
450 views

Segmentation fault: 11 error ( OpenCV )

I've installed OpenCV, numpy and all other required contents using brew install opencv. Then I tried running it python >> import cv or python >> import cv2 but I get a "Segmentation ...
1
vote
0answers
201 views

FreeType Incompatibility Issue

I am having an issue as below: Library not loaded: /usr/local/lib/libfreetype.6.dylib Referenced from: /usr/local/lib/libpangocairo-1.0.0.dylib Reason: Incompatible library version: ...
1
vote
0answers
264 views

How to automatically add `brew update ruby` to `rbenv` versions?

I just did a brew update which updated a ruby version (brew ruby --version), but when I rbenv versions it isn't listed there because I didn't do ruby install <ruby version>. Is there a way to ...
1
vote
0answers
252 views

OSX 9 Mavericks - Homebrew - g++ 4.8 - link fails: Undefined symbol “__istype(int, unsigned long)”

g++-4.8 -o block_test block_test.o Block.o MemRef.o CI_Metadata.o ConnectMxctl.o Log.o BLog.o -L/usr/local/mysql/lib -lmysqlclient -g Undefined symbols for architecture x86_64: "__istype(int, ...
1
vote
0answers
196 views

Wine missing libncurses.5.4.dylib

When I launch winecfg or some other executables, I get this terminal output- Wine cannot find the ncurses library (libncurses.5.4.dylib). It does not prevent programs from running, but it's just ...
1
vote
0answers
680 views

How to properly run nginx on port 80 with a non root account on OS X?

I was trying to configure nginx (homebrew) to run like daemon on OS X 10.9 and I encountered one problem regarding permissions: nginx was configured to run as nobody in nginx.conf and when started it ...
1
vote
0answers
63 views

Can Homebrew be used to install AppleScript bundles?

Can Homebrew be used to install AppleScript bundles? If so, what sorts of conventions would the project need to follow? Would it need to include a make.scpt file compile the .applescript files? I'm ...
1
vote
0answers
144 views

A little help writing a Homebrew formula for Apache Nutch?

I'm trying to automate the installation of Apache Nutch by writing a Homebrew formula. The official tutorial requires users to download a TAR.GZ / ZIP from a mirror, extract, cd, run ant runtime, and ...
1
vote
0answers
78 views

Compiling a gimp plugin

I wish to compile the Gimp plugin "Save for Web" on Mac 10.8.4. I use brew for package management but libgimp2-dev is missing. I've downloaded Gimp 2.8.6 from here . I've downloaded the latest ...
1
vote
0answers
183 views

Getting homebrew upgrades to complete without link error interruptions?

Is there a way to invoke homebrew upgrades without having to handle errors manually? For example, when I run an update with: brew upgrade I get error messages like: Error: You must `brew link ...
1
vote
0answers
2k views

A lot of problems with Homebrew

This is probably bad form for this board, and feel free to delete it if it is, but running brew doctor reveals the following: Warning: /usr/local/lib/pkgconfig isn't writable. This can happen if you ...
1
vote
0answers
314 views

echo $PATH giving different result to what .bash_profile states

I'm trying to install Homebrew (to then install RVM, then Octopress). Homebrew is installed but when I run brew doctor I get the message: Consider amending your PATH so that /usr/local/bin occurs ...
1
vote
0answers
137 views

Problem installing homebrew on tiger?

I haven't run into the permissions problem (yet) reported here. Using the curl command here I don't think it's necessary to do the staff group thing but am running into other problems. At first I ran ...
0
votes
0answers
4 views

Error :: Rename Operation not permitted

I was trying to install Git on my mac using Brew, one of the posts says here to rename after installing. But I am getting the following error. mv: rename /usr/bin/git to /usr/bin/git-apple: ...
0
votes
0answers
11 views

Wi-Fi stops working when I launch OpenVPN server

I have an OpenVPN server running on my device. I downloaded OpenVPN from homebrew and it has a plist to load with launchctl. However, if I try launching the server with launchctl start ...
0
votes
0answers
5 views

How do I add --with-ssl to Homebrew's litmus install

I'm trying to add litmus with ssl enabled, but the "download - configure - make" path fails, missing files . So tried Homebrew Install Litmus and it works fine - but... it doesn't build with ssl, ...
0
votes
0answers
45 views

How to compile PHP with OpenSSL on OS X 10.9?

So I'm while trying to compile PHP 5.6.10 from the source faced the following problem: Undefined symbols for architecture x86_64: "_PKCS5_PBKDF2_HMAC", referenced from: _zif_openssl_pbkdf2 in ...
0
votes
0answers
30 views

Terminator installation issue with VTE

When I try to install Terminator via brew I get Linking /usr/local/Cellar/vte/0.28.2... Error: Invalid argument - /usr/local/share/locale/ca@valencia/LC_MESSAGES/vte-0.0.mo I have tried the ...
0
votes
0answers
94 views

mkfs.jffs2 or equivalence on Mac Os X

I need to use mkfs.jffs2 command on Mac OS X. On Linux, the command is installed with mtd-tools package, but I can't find it from homebrew. I tried to build from the source, but I have numerous ...
0
votes
0answers
56 views

Trying to run commands in bash causes Homebrew error

Whenever I try and run any commands in terminal (bash), my window goes crazy and it keeps looping through an output of: /usr/local/Cellar/rbenv/0.4.0/libexec/rbenv-hooks: line 32: cd: ...
0
votes
0answers
25 views

Serial connection via Ethernet port

I have some devices that are only accessible via RS-232 cables. The problem is that I have no RS-232 to USB adapters so I can't access them. What I do have is a bunch of serial cables, most ...
0
votes
0answers
67 views

Yosemite command-line tool update programs

What command-line tool update programs are there in Yosemite? I've used: pip (for Python packages; seems to be built-in, unlike the following) brew (homebrew for application installation) gem (for ...
0
votes
0answers
44 views

How do I depend on a specific version of a homebrew formula

I'm having a conflict with a formula and a particular version of Boost. Ideally, since this is really just a build conflict (it's not using a Boost shared library), I'd like to automatically use a ...
0
votes
0answers
43 views

Rsync not copying some files with extended attributes

I am attempting to rsync from a network mounted volume to my Desktop. However some but not alll of the files are not copying because of an rsync error. I am using rsync 3.1.1 from Brew. I'm using ...
0
votes
0answers
25 views

Cannot load system rubygems/stub_specification

I'm trying to brew update or gem update and get this error: /Library/Ruby/Site/2.0.0/rubygems/specification.rb:14:in `require': cannot load such file -- rubygems/stub_specification (LoadError) ruby ...
0
votes
0answers
31 views

mpd stuttering when run under launchd

Background As a terminal junkie, I've started messing around with a combination of mpd (Music Player Daemon) and a player, ncmpcpp (NCurses Media Player Client C++). I installed these via Homebrew - ...
0
votes
0answers
79 views

Compile VLC-android on OS X

checking that generated files are newer than configure... done configure: creating ./config.status config.status: creating Makefile config.status: creating doc/doxygen.cfg ...
0
votes
0answers
75 views

How do I open Pymol once I have installed it via Homebrew on Yosemite?

I have recently installed pymol using homebrew, but now I cannot figure out how to launch it. I have looked in the cellar where there is a pymol folder, but there is nothing that launches pymol. ...
0
votes
0answers
50 views

How do I install SIPSAK with macports?

For context, SIPSAK is the SIP Swiss Army Knife: sipsak is a command line tool which can send simple requests to a SIP server. It can run additional tests on a SIP server which are usefull for ...
0
votes
0answers
28 views

Flash Got doesn't show Axel in firefox

I have installed Axel using brew. I have also verified if Axel is working or not. Output of Axel command: which Axel /usr/local/bin/axel /usr/local/etc/axelrc /usr/local/share/man/man1/axel.1 ...